Objets nouveaux, services externes

Wordpress2SPIP

Importer un blog Wordpress dans un site SPIP local vide

Préfixe : wp2spip
Mis à jour le 5 février 2020
SPIP 3.2

0.3.3 en test

Télécharger

Mis à jour le 5 février 2020

Compatible :
  • SPIP 3.0
  • SPIP 3.1

Importer un blog Wordpress dans un site SPIP local vide.

Mode d’emploi

  • installer un SPIP à côté de Wordpress sur le serveur ;
  • configurer selon vos besoins, l’utilisation des mots clefs des documents joints aux articles, les forums ;
  • installer le plugin comme d’habitude ;
  • installer les plugins optionnels (voir doc) ;
  • menu ’configuration / migration depuis wordpress’ lancer la conversion ;
  • depuis le menu ’configuration / maintenance du site’ restaurer le fichier wp2spip.xml (Si l’import se figerafraîchissez la page) ;
  • si vous refaites la manipulation, repartez toujours depuis un site spip vierge.
  • une fois la base importée, se reconnecter avec son compte webmestre SPIP, et pour les auteurs Wordpress, ils doivent simplement recréer leur mot de passe via la page de login avec ’mot de passe perdu’ ;
  • Choisisez les rubriques des articles proposés à la publication (les pages importées) et publiez les ;
  • Choisisez les rubriques (depuis edition auteurs) des admins restreints signalés et devenus rédacteurs ;

https://contrib.spip.net/Wordpress-2-SPIP

Fichier XML
Version
0.3.3
Compatiblité
SPIP ≥ 3.0.0 et ≤ 3.1.*
État
en test
Auteur
Daniel Anic
Module de langue
Langue référence
français
Gestionnaire
salvatore
Traductions
français , عربي (George)
Archive
wp2spip-855e5-v0.3.3.zip
Taille
50.2 ko
Générée le
05-02-2020 16:56
Hébergée par
SPIP-Zone - Plugins
Nécessite les plugins
Dump XML ≥ 1.0.1
Compatible avec
Pages ≥ 0.3.7
PolyHierarchy ≥ 1.0.0

Dernières modifications

Information non disponible

Messages de forum

  • 26 janvier 2017 : Oui mais avec ma version de Wordpress, une version 4 quelque chose, je n’y suis pas arrivée du (...)
  • 21 janvier 2017 : Ça marche bien sous spip 2.1 pour l’import, ensuite je lance le nettoyage sous spip 3.0 et je (...)
  • 5 octobre 2016 : Bon je me réponds à moi-même. Ce plugin n’est pas compatible avec SPIP 3.1 parce que dump_xml ne (...)
  • 5 octobre 2016 : Merci mais à chaque fois j’ai ce message : « • Le plugin Wordpress2SPIP dépend de DUMP_XML [1.0.1 (...)
  • 23 décembre 2015 : Voilà, je viens d’ajouter le plugin dump_xml à la liste des zips à générer : http://zone.spip.org/trac/s
  • 16 décembre 2015 : Salut, le plugin dump_xml compatible SPIP 3.0 existe bien, c’est juste qu’il n’est pas distribué (...)
  • 16 décembre 2015 : ATTENTION ! Le plugin est affiché comme compatible avec SPIP 3 mais ce n’est pas le cas (...)
  • 25 mars 2013 : Hello Je te dis cela dès que j’ai tester cela. Si je comprend comment il travail je le ferais (...)
  • 25 mars 2013 : Hello Pierre, je n’ai pas testé, mais cela devrait être rapide à faire. si c’est pas concluant, je (...)
  • 25 mars 2013 : Bonjour Est ce que certain on migré une version 3.5.1 de wordpress ou pas encore (...)